## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by go2rpm 1.9.0
%bcond_without check

# https://github.com/projectdiscovery/mapcidr
%global goipath         github.com/projectdiscovery/mapcidr
Version:                1.1.13

%gometa -f

%global common_description %{expand:
Small utility program to perform multiple operations for a given subnet/CIDR
ranges.}

%global golicenses      LICENSE.MD
%global godocs          README.md

Name:           %{goname}
Release:        %autorelease
Summary:        Utility for operations on subnet/CIDR ranges

License:        MIT
URL:            %{gourl}
Source:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
# Require connection to api.asnmap.sh
for test in "Test_asnClient_GetCIDRsForASNNum" "TestASNClient_GetIPAddressesAsStream" \
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done
%gocheck
%endif

%files
%license LICENSE.MD
%doc README.md
%{_bindir}/*

%gopkgfiles

%changelog
* Mon Oct 23 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> None-1
- Update to 1.1.13 - Closes rhbz#2134029

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> 1.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Sep 14 2022 Fabian Affolter <mail@fabian-affolter.ch> 1.0.2-1
- Update to latest upstream release 1.0.2 (closes rhbz#2078258)

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.0.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> 0.0.8-4
- Rebuild for
  CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in golang

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> 0.0.8-3
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Sep 23 2021 Robert-André Mauchin <zebob.m@gmail.com> 0.0.8-1
- Update to 0.0.8 Close: rhbz#1963615, rhbz#1987537, rhbz#1923326

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Sep 22 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.4-1
- Initial package
